MATINFO(1)

NAME
matinfo - filament material tools

DESCRIPTION
matinfo prints information about material files compiled with matc Usage:

    matinfo [options] <material file>

OPTIONS

--help, -h

    Print this message

--print-glsl=[index], -g

    Print GLSL for the nth shader (0 is the first OpenGL shader)

--print-spirv=[index], -s

    Validate and print disasm for the nth shader (0 is the first Vulkan shader)

--print-metal=[index], -m

    Print Metal Shading Language for the nth shader (0 is the first Metal shader)

--print-vkglsl=[index], -v

    Print the nth Vulkan shader transpiled into GLSL

--print-dic-glsl

    Print the GLSL dictionary

--print-dic-metal

    Print the Metal dictionary

--print-dic-vk

    Print the Vulkan dictionary

--web-server=[port], -w

    Serve a web page at the given port (e.g. 8080)

--dump-binary=[index], -b

    Dump binary SPIRV for the nth Vulkan shader to 'out.spv'

--license

    Print copyright and license information

--analyze-spirv=[index], -a

    Print annotated GLSL for the nth shader (0 is the first Vulkan shader)

  Usage:

    matinfo [options] <material file>

--help, -h

    Print this message

--print-glsl=[index], -g

    Print GLSL for the nth shader (0 is the first OpenGL shader)

--print-spirv=[index], -s

    Validate and print disasm for the nth shader (0 is the first Vulkan shader)

--print-metal=[index], -m

    Print Metal Shading Language for the nth shader (0 is the first Metal shader)

--print-vkglsl=[index], -v

    Print the nth Vulkan shader transpiled into GLSL

--print-dic-glsl

    Print the GLSL dictionary

--print-dic-metal

    Print the Metal dictionary

--print-dic-vk

    Print the Vulkan dictionary

--web-server=[port], -w

    Serve a web page at the given port (e.g. 8080)

--dump-binary=[index], -b

    Dump binary SPIRV for the nth Vulkan shader to 'out.spv'

--license

    Print copyright and license information

--analyze-spirv=[index], -a

    Print annotated GLSL for the nth shader (0 is the first Vulkan shader)